Subject: Re: bug#21634: text-scale-adjust suggestion

From: Juri Linkov <[email-masked]>
Date: Thu, 07 Jul 2022 19:49:09 +0300

>>> I think the guts of `describe-repeat-mapsʼ does something like that.
>>
>> I forgot that describe-repeat-maps uses where-is-internal.
>> But I don't see how repeat-echo-message-string and set-transient-map
>> could use where-is-internal without iterating a huge list of all commands
>> from obarray.  There is no function to get all commands from the given
>> keymap only?
>
> No, I think we should add a function like that.  Shouldn't be too difficult.

Such a function could return a flat list of (key-sequence . binding).
Maybe loops from describe-map-tree/describe-map could be reused,
but with accumulating the result instead of printing.